//
//  SaveApplicationListHttpCmd.m
//  MobilePortal
//
//  Created by xiejiangbo on 2019/10/28.
//  Copyright © 2019 yin chen. All rights reserved.
//

#import "SaveApplicationListHttpCmd.h"
#import "SaveApplicationListHttpResult.h"
static NSString *kActionUrl1 = @"/appMobile/saveMyChoice";

@implementation SaveApplicationListHttpCmd
-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[SaveApplicationListHttpCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[SaveApplicationListHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}
@end
NSString *const kHttpSaveApplicationListHttpCmd_userid = @"userid";
NSString *const kHttpSaveApplicationListHttpCmd_type = @"type";
NSString *const kHttpSaveApplicationListHttpCmd_list = @"list";
NSString *const kHttpSaveApplicationListHttpCmd_applicationid = @"applicationid";
NSString *const kHttpSaveApplicationListHttpCmd_sort = @"sort";
NSString *const kHttpSaveApplicationListHttpCmd_system = @"system";
